Name:           python-rcvformats
Version:        0.0.46
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Schema validations, migrations, and conversions to standardize the Ranked Choice Voting ecosystem

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/artoonie/rcvformats
Source:         %{pypi_source rcvformats}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'rcvformats' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-rcvformats
Summary:        %{summary}

%description -n python3-rcvformats %_description


%prep
%autosetup -p1 -n rcvformats-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-rcvformats -f %{pyproject_files}


%changelog
%autochangelog